Bug 177047 - Segmentation fault in amadmin
Segmentation fault in amadmin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-05 13:55 EST by Wayne Johnson
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 19:00:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Johnson 2006-01-05 13:55:32 EST
Description of problem:
amadmin crashes when using force subcommand.

Version-Release number of selected component (if applicable):
amanda-2.4.5-2

How reproducible:
Happens after processing the first disk.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Segmentation Fault

Expected results:


Additional info:

After contacting Paddy Sreenivasan on the amanda mailing list, he said:
>  I think you should try 2.4.5p1. This code is broken in 2.4.5.
>
> In 2.4.5, read_diskfile() returns pointer to static variable and it is
> set to diskqp which
> is being referenced in the crash.


Could you please release a 2.4.5p1 update.

Thanks.
Comment 1 Benedikt Weyer 2006-02-21 09:32:02 EST
Hi, same error on my machine, but not limited to the "force" command.

Comment 2 Christian Iseli 2007-01-22 05:58:53 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Wayne Johnson 2007-01-22 09:26:05 EST
I have no system in which to test this with in FC5 at this time.  Anyone else?

Note You need to log in before you can comment on or make changes to this bug.